%{?nodejs_find_provides_and_requires}

%global packagename mississippi
%global enable_tests 1

Name:		nodejs-mississippi
Version:	1.3.0
Release:	1%{?dist}
Summary:	A collection of useful streams

License:	BSD
URL:		https://github.com/maxogden/mississippi
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# License file requested upstream at https://github.com/maxogden/mississippi/pull/19
Source1:	LICENSE-BSD-2.txt


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(flush-write-stream)
BuildRequires:	npm(from2)
BuildRequires:	npm(pumpify)
BuildRequires:	npm(stream-each)
%if 0%{?enable_tests}
#BuildRequires:	
%endif

%description
A collection of useful streams.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[103m -=#=- No tests specified -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE-BSD-2.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
